﻿using System;
using System.Collections.Generic;

using System.Text;
using Apache.Cassandra;
using Aquiles.Core.Exceptions;
using Aquiles.Core.Model;
using System.Globalization;

namespace Aquiles.Cassandra07.Command
{
    /// <summary>
    /// Abstract class for an AquilesCommand that needs to have a Keyspace
    /// </summary>
    public abstract class AbstractKeyspaceDependantCommand : AbstractCommand
    {
        /// <summary>
        /// Indicates if this command applies only to a keyspace
        /// </summary>
        public sealed override bool isKeyspaceDependant
        {
            get { return true; }
        }
    }
}
