﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CassandraClient = Apache.Cassandra.Cassandra.Client;
namespace Aquiles.Cassandra07.Command
{
    /// <summary>
    /// Interface for any AquilesCommand with minimum methods to operate with.
    /// </summary>
    public interface IAquilesCommand
    {
        /// <summary>
        /// Execute the command over the opened thrift client
        /// </summary>
        /// <param name="client">an opened thrift Client</param>
        void Execute(CassandraClient client);

        /// <summary>
        /// Validate the input parameters. 
        /// Throws <see cref="Aquiles.Core.Exceptions.AquilesException"/>  in case there is some malformed or missing input parameters
        /// </summary>
        void ValidateInput();

        /// <summary>
        /// Indicates if this command applies only to a keyspace
        /// </summary>
        bool isKeyspaceDependant
        {
            get;
        }
    }
}
