﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Apache.Cassandra;
using Aquiles.Cassandra07.Model;

namespace Aquiles.Cassandra07.Converter.Model.Impl
{
    /// <summary>
    /// Converter for AquilesKeyRange
    /// </summary>
    public class AquilesKeyRangeConverter : IThriftConverter<AquilesKeyRange, KeyRange>
    {
        #region IThriftConverter<AquilesKeyRange,KeyRange> Members

        /// <summary>
        /// Transform AquilesKeyRange structure into KeyRange
        /// </summary>
        /// <param name="objectA"></param>
        /// <returns></returns>
        public KeyRange Transform(AquilesKeyRange objectA)
        {
            KeyRange keyRange = new KeyRange();
            keyRange.Count = objectA.Count;
            if (objectA.StartKey != null) 
            {
                keyRange.Start_key = objectA.StartKey;
            }
            if (objectA.EndKey != null) 
            {
                keyRange.End_key = objectA.EndKey;
            }
            if (objectA.StartToken != null) 
            {
            keyRange.Start_token = objectA.StartToken;
            }
            if (objectA.EndToken != null)
            {
                keyRange.End_token = objectA.EndToken;
            }
            return keyRange;
        }

        /// <summary>
        /// Transform KeyRange structure into AquilesKeyRange
        /// </summary>
        /// <param name="objectB"></param>
        /// <returns></returns>
        public AquilesKeyRange Transform(KeyRange objectB)
        {
            AquilesKeyRange keyRange = new AquilesKeyRange();
            keyRange.Count = objectB.Count;
            keyRange.StartKey = objectB.Start_key;
            keyRange.EndKey = objectB.End_key;
            keyRange.StartToken = objectB.Start_token;
            keyRange.EndToken = objectB.End_token;

            return keyRange;
        }

        #endregion
    }
}
