﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Aquiles.Core.Cluster;
using Aquiles.Cassandra07.Command;
using Aquiles.Core.Client;
using CassandraClient = Apache.Cassandra.Cassandra.Client;

namespace Aquiles.Cassandra07
{
    public static class ExtensionMethods
    {
        public static void Execute(this ICluster cluster, IAquilesCommand cmd)
        {
            cluster.Execute(new ExecutionBlock(delegate(CassandraClient client)
            {
                cmd.Execute(client);
                return null;
            }));
        }

        public static void Execute(this ICluster cluster, IAquilesCommand cmd, string keyspaceName)
        {
            cluster.Execute(new ExecutionBlock(delegate(CassandraClient client)
            {
                cmd.Execute(client);
                return null;
            }), keyspaceName);
        }

        public static void Execute(this IClient client, IAquilesCommand cmd)
        {
            client.Execute(new ExecutionBlock(delegate(CassandraClient client2)
            {
                cmd.Execute(client2);
                return null;
            }));
        }

    }
}
